be.fgov.ehealth.dics.protocol.v4

## Class Text

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.Text

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:02:11+02:00",
                 comments="JAXB RI v2.3.7")
      public class Text
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Text()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the value of the lang property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Text

          public Text()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.